complexType "FixedAmountCalculation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationAmount?, fixedRate?, dayCountFraction?
</...>

Content Model Elements (3):

  calculationAmount (in fixedAmountCalculation), dayCountFraction (in fixedAmountCalculation), | fixedRate (in fixedAmountCalculation)

All Direct / Indirect Based Elements (1):

  fixedAmountCalculation

Known Usage Locations

- As direct type of elements (1):
  fixedAmountCalculation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FixedAmountCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationAmount" type="CalculationAmount"/> <xsd:element minOccurs="0" name="fixedRate" type="FixedRate"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculationAmount

  Type: | CalculationAmount, complex content

  The notional amount used in the calculation of fixed amounts where an amount is calculated on a formula basis, i.e. fixed amount = fixed rate payer calculation amount x fixed rate x fixed rate day count fraction. ISDA 2003 Term: Fixed Rate Payer Calculation Amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationAmount" type="CalculationAmount"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction. ISDA 2003 Term: Fixed Rate Day Count Fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

fixedRate

  Type: | FixedRate, simple content

  The calculation period fixed rate. A per annum rate, expressed as a decimal. A fixed rate of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRate" type="FixedRate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.